MAN(1)

NAMN
man - ett gränssnitt för direktreferensmanualer

SYNOPSIS
man [-C file] [-d] [-D] [--warnings[=warnings]] [-R encoding] [-L locale] [-m system[,...]] [-M path] [-S list] [-e extension] [-i|-I] [--regex|--wildcard] [--names-only] [-a] [-u] [--no-subpages] [-P pager] [-r prompt] [-7] [-E encoding] [--no-hyphenation] [--no-justification] [-p string] [-t] [-T[device]] [-H[browser]] [-X[dpi]] [-Z] [[section] page[.section] ...] ...
man -k [apropos flaggor] regutr ...
man -K [-w|-W] [-S lista] [-i|-I] [--regex] [avsnitt] term ...
man -f [whatis flaggor] sida ...
man -l [-C fil] [-d] [-D] [--warnings[=varningar]] [-R kodning] [-L lokal] [-P sidvisare] [-r prompt] [-7] [-E kodning] [-p sträng] [-t] [-T[enhet]] [-H[webbläsare]] [-X[ppt]] [-Z] fil ...
man -w|-W [-C fil] [-d] [-D] sida ...
man -c [-C sida] [-d] [-D] sida ...
man [-?V]

BESKRIVNING
man är systemets sidvisare för manualen. Varje sid-argument som angetts till man är normalt sett namnet på ett program, verktyg eller en funktion. Manualsidan som associerats med vart och ett av dessa argument letas sedan upp och visas. Ett avsnitt, om det angetts, kommer att dirigera man att leta endast i det avsnittet av manualen. Standardåtgärden är att genomsöka alla tillgängliga avsnitt i en förutbestämd ordning (”1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x” som standard, om inte åsidosatt av direktivet AVSNITT i /etc/man_db.conf), och att visa endast den första sida som hittas, även om sidor finns i flera avsnitt. Tabellen nedan visa avsnitts-numren för manualen åtföljt av vilken typ av sidor de innehåller.
1 | Exekverbara program eller skalkommandon
2 | Systemanrop (funktioner som tillhandahålls av kerneln)
3 | Biblioteksanrop (funktioner i programbibliotek)
4 | Speciella filer (hittas vanligtvis i /dev)
5 | Filformat och konventioner t.ex. /etc/passwd
6 | Spel
7 | Diverse (inklusive makropaket och konventioner), t.ex. man(7), groff(7)
8 | Kommandon för systemadministration (vanligtvis bara för root)
9 | Kernelrutiner [Icke-standard]
En manualsida består av flera avsnitt. Vanliga avsnittsnamn inkluderar NAMN, SYNOPSIS, KONFIGURATION, BESKRIVNING, FLAGGOR, SLUTSTATUS, RETURVÄRDE, FEL, MILJÖ, FILER, VERSIONER, ÖVERENSSTÄMMER MED, NOTERINGAR, FEL, EXEMPEL, UPPHOVSMÄN och SE VIDARE. Följande konventioner gäller för SYNOPSIS-avsnittet och kan användas som riktlinjer för andra avsnitt.
fet text | skriv in exakt som visat.
kursiv text | ersätt med lämpligt argument.
[-abc] | vilket som eller alla argumenten inom [ ] är valfria.
-a|-b | flaggor avgränsade av | kan inte användas tillsammans.
argument ... | argument går att upprepa.
[uttryck] ... | hela uttrycket inom [ ] går att upprepa.
Den exakta rendering kan variera beroende på utmatningsenhet. Man kommer till exempel vanligtvis inte att kunna rendera kursiv text när det används i en terminal, utan kommer vanligtvis att använda understruken eller färgad text istället. Kommando- eller funktionsexemplet är ett mönster som bör matcha alla möjliga anrop. I vissa fall är det rekommenderat att exemplifiera med flera separata anrop så som visas i avsnittet SYNOPSIS i denna manualsida.

EXEMPEL

man ls
    Visa manualsidan för objektet (programmet) ls.

man man.7
    Display the manual page for macro package man from section 7.

man -a intro
    Visa, i följd, alla tillgängliga intro-manualsidor som finns i manualen. Det är möjligt att avsluta mellan visningarna eller hoppa över någon av dem.

man -t alias | lpr -Pps
    Formatera manualsidan som refereras till av ”alias”, vanligtvis en manualsida för skalet, till standard troff- eller groff-format och öppna rör till skrivaren med namnet ps. Standard utmatningen för groff är vanligtvis PostScript. man --help borde ange vilken hanterare som är bunden till flaggan -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Detta kommando kommer att dekomprimera och formatera nroff-källmanualsidan ./foo.1x.gz till en enhets oberoende (dvi)-fil. Omdirigeringen är nödvändig eftersom -T-flaggan förorsakar att utmatningen kommer att dirigeras till stdout utan sidvisare. Utmatningen skulle kunna visas med ett program så som xdvi eller processas vidare till PostScript med hjälp av ett program så som dvips.

man -k printf
    Search the short descriptions and manual page names for the keyword printf as regular expression. Print out any matches. Equivalent to apropos printf.

man -f smail
    Lookup the manual pages referenced by smail and print out the short descriptions of any found. Equivalent to whatis smail.

ÖVERSIKT
Många flaggor till man finns för att ge användaren så mycket flexibilitet som möjligt. Ändringar kan göras till sökvägen, avsnittsordningen, utmatningshanteraren och andra beteenden och operationer som beskrivs nedan. Om satta kommer diverse miljövariabler att studeras för att bestämma hur man ska fungera. Det är möjligt att sätta den övergripande variabeln $MANOPT till vilken sträng som helst i kommandoradsformat förutom att de blanksteg används som del av en flaggans argument måste markeras (föregås av ett bakåtstreck). man kommer att tolka $MANOPT före att det tolkar sin egen kommandorad. De flaggor som kräver ett argument kommer att åsidosättas av samma flaggor som finns på kommandoraden. För att återställa alla flaggorna som ställts in i $MANOPT så kan -D anges som den första kommandoradsflaggan. Detta låter man ”glömma” de flaggor som angetts i $MANOPT även om de fortfarande måste vara giltiga. Sidvisarverktygen för manualsidor som paketerats som man-db använder index-databascachar i stor utsträckning. Dessa cachar innehåller information som t.ex. var en manualsida kan hittas i filsystemet och vad dess whatis (kort en-rads-beskrivning av manualsidan) innehåller och tillåter man att köra snabbare än om det hade varit tvunget att genomsöka filsystemet varje gång för att hitta den lämpliga manualsidan. Om begärt, via -u-flaggan, så kommer man att försäkra sig om att cacharna förblir konsistenta vilket kan förebygga behovet att manuellt köra programvara för att uppdatera de traditionella whatis-textdatabaserna. Om man inte kan hitta en mandb-initierad index-databas för en viss hierarki av manualsidor kommer det fortfarande att leta efter de begärda manualsidorna, även om filskalmönster (”globbing”) kommer att vara nödvändigt för att leta inom den hierarkin. Om whatis eller apropos misslyckas med att hitta ett index kommer de att försöka extrahera information från en traditionell whatis-databas istället. Dessa verktyg har stöd för komprimerade nroff-källfiler som, som standard, har ändelserna .Z, .z och .gz. Det är möjligt att hantera vilken kompressionsändelse som helst, men denna information måste vara känd vid tiden för kompilering. Dessutom kommer cat-sidor, som standard, att produceras som komprimerade med gzip. Varje ”global” hierarki av manualsidor så som /usr/share/man eller /usr/X11R6/man kan ha vilken katalog som helst som sin hierarki av cat-sidor. Traditionellt lagras cat-sidorna under samma hierarki som manualsidorna, men av skäl så som de som anges i Filhierarkistandarden (FHS), så kan det vara bättre att lagra dem på annan plats. För vidare information om hur du gör detta, läs manpath(5). För vidare information om varför du bör göra detta, läs standarden. Internationaliseringsstöd finns tillgängligt för detta paket. Manualsidor på modersmål finns nåbara (om de finns tillgängliga på ditt system) via användning av lokal-funktioner. För att aktivera ett sådant stöd, är det nödvändigt att ställa in antingen $LC_MESSAGES, $LANG eller någon annan systemberoende miljövariabel till din språklokal, vanligtvis angiven i det POSIX 1003.1-baserade formatet: <språk>[_<territorium>[.<teckenuppsättning>[,<version>]]] Om den önskade sidan finns tillgänglig i din lokal så kommer den att visas istället för standardsidan (vanligtvis på amerikansk engelska). Stöd för internationella meddelandekataloger finns också i detta paket och kan aktiveras på samma sätt, återigen: om tillgängligt. Om du finner att manualsidorna och meddelandekatalogerna som kommer med detta paket inte finns tillgängliga på ditt modersmål och skulle vilja tillhandahålla dem, vänligen kontakta den ansvariga utvecklaren som kan koordinera en sådan aktivitet. För information angående andra funktioner och tillägg för denna visare för manualsidor, se vidare i dokumenten som levererats med paketet.

STANDARDVÄRDEN
man kommer att söka efter de önskade manualsidorna i index-databascachen. Om flaggan -u angetts så kommer en cachekonsistenskontroll att genomföras för att försäkra att databaserna korrekt speglar filsystemet. Om denna flagga alltid anges är det generellt sett inte nödvändigt att köra mandb efter att cacharna skapats initialt, förutsatt att cachen inte blir korrumpera. Cachekonsistenskontrollen kan dock vara långa på system med många manualsidor installerade, så den körs inte som standard och systemadministratörer kan komma att vilja köra mandb varje vecka eller så för att hålla databascacharna färska. För att förebygga problem som orsakats av föråldrade cachar så kommer man att falla tillbaka på filskalmönster (”globbing”) om en cacheuppslagning misslyckas, precis som om den hade gjorts om ingen cache existerar. När en manualsida har lokaliserats kommer en kontroll att göras för att ta reda på om en relativ, förformaterad ”cat”-fil redan existerar och är nyare än nroff-filen. Om den finns och är nyare kommer denna förformaterade fil att (vanligtvis) dekomprimeras och sedan visas med hjälp av en sidvisare. Sidvisaren kan anges på ett antal olika sätt eller så kommer man att falla tillbaka på en standardvisare (se flaggan -P för detaljer). Om ingen cat-sida hittas eller den är äldre än nroff-filen så kommer nroff:en att filtreras genom diverse program och visas omedelbart. Om en cat-fil kan produceras (en relativ cat-katalog existerar och har lämpliga rättigheter) så kommer man att komprimera och i bakgrunden spara cat-filen. Filterna lokaliseras på ett antal olika sätt. Först kommer kommandoradsflaggan -p eller miljövariabeln $MANROFFSEQ att inspekteras. Om -p inte användes och miljövariabeln inte var satt kommer den första raden av nroff-filen att tolkas och genomsökas efter en preprocessorsträng. För att innehålla en giltigt preprocessorsträng så måste första raden vara på formen '\" <sträng> där sträng kan vara vilken kombination som helst av bokstäver som beskrivs av flaggan -p nedan. Om ingen av de ovanstående metoderna tillhandahåller någon filterinformation kommer standarduppsättningen att användas. En formateringsrörledning skapas från filterna och den primära formateraren (nroff eller [tg]roff med -t) och köras. Alternativt om ett körbart program mandb_nfmt (eller mandb_tfmt med -t) existerar i roten till man-trädet kommer det att köras istället. Det förses med manualsidans källkodsfil, preprocessorsträngen och valfritt enheten som angetts med -T eller -E som argument.

FLAGGOR
Icke-argument flaggor som duplicerats antingen på kommandoraden, i $MANOPT eller båda är inte skadliga. För flaggor som kräver ett argument kommer varje duplicering att åsidosätta det tidigare argumentvärdet.

  Allmänna flaggor

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-d, --debug
    Skriver ut felsökningsinformation.

-D, --default
    Denna flagga anges normalt som den allra första flaggan och återställer man:s beteende till standardinställningarna. Den används för att återställa de flaggor som kan ha satts i $MANOPT. Flaggor som följer -D kommer att ha sin vanliga effekt.

--warnings[=varningar]
    Aktivera varningar från groff. Detta kan användas för att utföra rimlighetskontroller av källkodstexten för manualsidor. varningar är en kommaseparerad lista av varningsnamn; om de inte anges är standardvärdet ”mac”. Se noden “Varningar” i info groff för en lista av möjliga varningsnamn.

  Huvudarbetssätt

-f, --whatis
    Ekvivalent med whatis. Visa en kort beskrivning från manualsidan om den finns tillgänglig. Se whatis(1) för detaljer.

-k, --apropos
    Ekvivalent med apropos. Sök efter nyckelbord bland beskrivningarna för manualsidor och visa matchningar. Se apropos(1) för detaljer.

-K, --global-apropos
    Sök efter text i alla manualsidor. Detta är en naiv sökning och tar troligtvis lite tid; om du kan så bör du ange ett avsnitt för att reducera antalet sidor som måste genomsökas. Söktermer kan vara enkla strängar (som standard) eller reguljära uttryck om flaggan --regex används.

    Note that this searches the sources of the manual pages, not the rendered text, and so may include false positives due to things like comments in source files. Searching the rendered text would be much slower.

-l, --local-file
    Aktivera ”lokalt” läge. Formatera och visa lokala manualfiler istället för att söka genom systemets manualsamling. Varje manualsidesargument kommer att tolkas som en nroff-källkodsfil i det korrekta formatet. Ingen cat-fil produceras. Om ”-” listas som en av argumenten kommer inmatningen att tas från standard in. När denna flagga används och man misslyckas med att hitta den begärda sidan, innan felmeddelandet visas, så kommer det att bete sig som om flaggan angavs med namnet som ett filnamn och sökas efter som en exakt matchning.

-w, --where, --path, --location
    Visa inte själva manualsidorna, men skriv ut plats(erna) för nroff-källkodsfilerna som skulle ha formaterats.

-W, --where-cat, --location-cat
    Visa inte själva manualsidorna, men skriv ut plats(erna) för cat-filerna som skulle ha visats. Om -w och -W anges båda två, skriv ut båda separerade av ett mellanslag.

-c, --catman
    Denna flagga är inte avsedd för allmänt bruk och bör bara användas av programmet catman.

-R kodning, --recode=kodning
    Istället för att formatera manualsidan på det vanliga sättet, mata ut dess källkod konverterat till den angivna kodningen. Om du redan vet kodningen för källkodsfilen kan du också använda manconv(1) direkt. Denna flagga låter dig dock konvertera flera manualsidor till en enstaka kodning utan att du måste explicit ange kodningstillstånden för var och en, givet att de redan fanns installerade i en struktur liknande en hierarki av manualsidor.

  Att hitta manualsidor

-L lokal, --locale=lokal
    man kommer normalt att avgöra din aktuella lokal genom att anrop till C-funktionen setlocale(3) som kontrollerar diverse miljövariabler, som eventuellt $LC_MESSAGES och $LANG. För att tillfälligt åsidosätta det framtagna värdet, använd denna flagga för att ange en lokal-sträng direkt till man. Notera att det inte får någon effekt förrän sökningen efter sidor faktiskt påbörjas. Utmatning så som hjälpmeddelande kommer alltid att visas enligt den först bestämda lokalen.

-m system[,...], --systems=system[,...]
    Om detta system har tillgång till andra operativsystems manualsidor kan de nås via den här flaggan. För att söka efter en manualsida från samlingen av manualsidor för NyttOS, använd flaggan -m NyttOS. system som angetts kan vara en kombination av kommaavgränsade namn på operativsystem. För att inkludera en sökning för det normala operativ systemets manualsidor, inkludera systemnamnet man i argumentsträngen. Denna flagga kommer att åsidosätta miljövariabeln $SYSTEM.

-M sökväg, --manpath=sökväg
    Ange en alternativ man-sökväg att använda. Som standard kommer man att använda manpath-härledd kod för att avgöra vilken sökväg som ska genomsökas. Denna flagga åsidosätter miljövariabeln $MANPATH och gör att flaggan -m ignoreras. En sökväg angiven som en man-sökväg måste vara roten för en hierarki av manualsidor strukturerad i sektions som beskrivits i man-db-manualen (Under ”Systemet för manualsidor”). För att visa manualsidor utanför sådana hierarkier, se flaggan -l.

-S lista, -s lista, --sections=lista
    Lista är en kolon- eller kommaseparerad lista över ”ordningsspecifika” manualavsnitt att genomsöka. Denna flagga åsidosätter miljövariabeln $MANSECT. (Stavningen -s är för att vara kompatibel med System V.)

-e underändelse, --extension=underändelse
    Vissa system införlivar stora paket med manualsidor, så som de som följer med paketet Tcl, i huvudhierarkin för manualsidor. För att komma runt problemet med att ha två manualsidor med samma namn, exempelvis exit(3), så tilldelades normalt sett alla Tcl-sidorna till avsnitt l. Då detta är olyckligt är det nu möjligt att placera sidorna i det korrekta avsnittet och att tilldela en specifik ”ändelse” till dem, i detta fallet exit(3tcl). Vid normal användning kommer man att visa exit(3) istället för exit(3tcl). För att förhandla denna situation och för att undvika att man måste veta vilket avsnitt sidan du begär finns i, är det nu möjligt att förse man med en underändelse-sträng som indikerar vilket paket sidan måste höra till. Med exemplet ovan så kan man ange flaggan -e tcl till man för att det ska begränsa sökningen till sidor som har ändelsen *tcl.

-i, --ignore-case
    Ignorera skiftläge vid sökning efter manualsidor. Detta är standard.

-I, --match-case
    Sök efter manual sidor på ett skiftlägeskänsligt sätt.

--regex
    Visa alla sidor där någon del av antingen deras namn eller deras beskrivningar matchar varje sida-argument som ett reguljärt uttryck, som med apropos(1). Eftersom det vanligtvis inte finns något rimligt sätt att välja en ”bästa” sida vid sökning via ett reguljärt uttryck så implicerar denna flagga -a.

--wildcard
    Visa alla sidor där någon del av antingen deras namn eller deras beskrivningar matchar varje sida-argument med jokertecken i skal-stil, som med apropos(1) --wildcard. Argumentet sida måste matcha hela namnet eller beskrivningen eller matcha på ordgränser i beskrivningen. Eftersom det vanligtvis inte finns något rimligt sätt att välja en ”bästa” sida vid sökning via jokertecken så implicerar denna flagga -a.

--names-only
    Om flaggan --regex eller --wildcard används så matcha enbart sidnamn, inte sidbeskrivningar, som med whatis(1). Förövrigt har den ingen effekt.

-a, --all
    Som standard kommer man att avsluta efter ha visa den mest lämpliga manualsidan den hittar. Om denna flagga används så tvingar man att visa alla manualsidor med namn som matchar sökkriteriet.

-u, --update
    Denna flagga gör så att man utför en konsistenskontroll på ”inod-nivå” i dess databascachar för att försäkra att de är tillförlitliga representationer av filsystemet. Den kommer endast att kan en användbart effekt om man installerats med setuid-biten satt.

--no-subpages
    Som standard kommer man att försöka tolka par av namn på manualsidor som anges på kommandoraden som ekvivalenta med ett enstaka namn på en manualsida som innehåller ett bindestreck eller ett understreck. Detta stöder vanliga mönster för program som implementerar ett antal underkommandon, vilket låter dem tillhandahålla manualsidor för vart och ett som kan nås via liknande syntax som skulle ha använts för att köra underkommandona själva. Till exempel:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    För att inaktivera detta beteende, använd flaggan --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Att kontrollera formaterad utmatning

-P sidvisare, --pager=sidvisare
    Ange vilken utmatningssidvisare som ska användas. Som standard använder man less. Denna flagga åsidosätter miljövariabeln $MANPAGER, vilken i sin tur åsidosätter miljövariabeln $PAGER. Den används inte i samband med -f eller -k. Värdet kan vara ett enkelt kommandonamn eller ett kommando med argument och får använda skalcitering (bakåtstreck, enkla citattecken eller dubbla citattecken). Det får inte använda rörledningar för att koppla ihop flera kommando; om du behöver detta så använd ett inkapslingsskript som kan ta filen som ska visas antingen som ett argument eller via standard in.

-r prompt, --prompt=prompt
    Om en sen version av less används som sidvisaren kommer man att försöka ställa in dess prompt och en del vettiga flaggor. Standard prompten ser ut som Manualsida namn(avsn) rad x där namn betecknar manualsidans namn, avsn betecknar avsnittet i vilket den hittades och x det aktuella radnumret. Detta åstadkoms via miljövariabeln $LESS. Om -r förses med en sträng kommer den att åsidosätta detta standardvärde. Strängen får innehålla texten $MAN_PN vilken kommer att expanderas till namn på den aktuella manualsidan och dess avsnittsnamn omgärdat av ”(” och ”)”. Strängen som används för att producera standardvärdet kan uttryckas som \ Manualsida\ \$MAN_PN\ ?ltrad\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (SLUT):?pB\ %pB\\%..
    (tryck på h för hjälp eller q för att avsluta) Den har radbrutits till tre rader enkom för läslighet. För dess innebörd se visade i manualsidan för less(1). Promptsträngen utvärderas av skalet. Alla dubbla citattecken, bakåtcitattecken och bakåtstreck i prompten måste föregås av en kontrollsekvens med ett bakåtstreck. Promptsträngen får sluta med en kontrollsekvens följd av ett $ vilket i sin tur kan följas av ytterligare flaggor till less. Som standard sätter man flaggorna -ix8. Miljövariabeln $MANLESS som beskrivs nedan kan användas för att ställa in en standardpromptsträng om ingen anges på kommandoraden.

-7, --ascii
    När du tittar på en ren ascii(7) manualsida på en 7-bitars terminal eller terminalemulator så kan vissa tecken komma att inte visas korrekt när latin1(7) enhetsbeskrivningen används med GNU nroff. Denna flagga låter rena ascii manualsidor visas i ascii med latin1-enheten. Den kommer inte att översätta någon latin1-text. Följande tabell visar översättningarna som görs: visa delar av den kan endast visas korrekt när GNU nroff:s latin1(7)-enhet används.
    Beskrivning | Oktal | latin1 | ascii
    bindestreck | 255 |  | -
    punkt (mittpunkt) | 267 | • | o
    akut accent | 264 | ´ | '
    multiplikationstecken | 327 | × | x
    Om latin1-kolumnen visas korrekt kan din terminal vara inställd på latin1-tecken och denna flagga behövs inte. Om latin1- och ascii-kolumnerna är identiska läser du denna sida med hjälp av denna flagga eller så formaterade inte man denna sidan via latin1-enhetsbeskrivningen. Om latin1-kolumnen saknas eller är korrumperad så kan du vara tvungen att visa manualsidor med denna flagga. Denna flagga ignoreras om flaggorna -t, -H, -T, eller -Z används och kan vara meningslös för andra nroff än GNU:s.

-E kodning, --encoding=kodning
    Generera utmatning för en annan teckenkodning är standardkodningen. För bakåtkompatibilitet kan kodning så väl vara en nroff-enhet, exempelvis ascii, latin1 eller utf8, som en riktig teckenkodning så som UTF-8.

--no-hyphenation, --nh
    Normalt kommer nroff automatiskt avstava text vid radbrytning även för ord som inte innehåller några bindestreck om detta behövs för att placera ut orden på en rad utan allt för mycket blanktecken. Denna flagga inaktiverar automatisk avstavning så att ord bara kommer att avstavas om de redan innehåller bindestreck. Om du skriver en manualsida och helt enkelt vill förhindra nroff från att avstava ett ord vid en olämplig punkt ska du inte använda denna flagga utan konsultera nroff-dokumentationen istället; du kan till exempel placera ”\%” inuti ett ord för att indikera att det kan avstavas vid denna punkten, eller placera ”\%” vid ordets början för att förhindra det från att avstavas.

--no-justification, --nj
    Normalt sett kommer nroff automatiskt att justera text längs båda marginalerna. Denna flagga inaktiverar fullständig justering men tillåter justering längs vänstermarginalen, ibland kallat ”text med ojämn högermarginal”. Om du skriver en manualsida och helt enkelt vill förhindra nroff från att justera vissa stycken ska du inte använda denna flaggan, utan konsultera nroff-dokumentationen istället; du kan till exempel använda ”.na”, ”.nf”, ”.fi” och ”.ad”-begäran för att tillfälligt inaktivera justering och fyllning.

-p sträng, --preprocessor=sträng
    Ange sekvensen av preprocessorer som ska köras innan nroff eller troff/groff. Inte alla installationer kommer att ha den fullständiga uppsättningen av preprocessorer. Visa av preprocessorerna och bokstäverna som används för att beteckna dem är eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Denna flagga åsidosätter miljövariabeln $MANROFFSEQ. zsoelim körs alltid som den allra första preprocessorn.

-t, --troff
    Använd groff -mandoc för att formatera manualsidan till standard ut. Denna flagga krävs inte i samband med -H, -T, eller -Z.

-T[enhet], --troff-device[=enhet]
    Denna flagga används för att ändra groff:s (eller möjligtvis troff:s) utmatning för att vara lämplig för en enhet annan än standardenheten. Den implicerar -t. Exempel (som tillhandahålls av Groff-1.17) inkluderar dvi, latin1, ps, utf8, X75 och X100.

-H[webbläsare], --html[=webbläsare]
    Denna flagga kommer att få groff att producera HTML-utmatning och kommer att visa den utmatningen i en webbläsare. Valet av webbläsare bestäms av det valfria argumentet webbläsare om det finns angivet, av miljövariabeln $BROWSER eller av ett standardvärde vid kompileringen (vanligtvis lynx). Denna flagga implicerar -t och kommer endast att fungera med GNU troff.

-X[ppt], --gxditview[=ppt]
    Denna flagga visar utmatningen från groff i ett grafiskt fönster med hjälp av programmet gxditview. ppt (punkter per tum) kan vara 75, 75-12, 100, eller 100-12 där standardvärdet är 75; varianterna med -12 använder ett 12-punkters bastypsnitt. Denna flagga implicerar -T med enheten X75, X75-12, X100, eller X100-12 respektive.

-Z, --ditroff
    groff kommer att köra troff och sedan använda en lämplig postprocessor för att producera utmatning lämplig för den valda enheten. Om groff -mandoc är groff kommer denna flagga att skickas vidare till groff och undertrycka användandet av en postprocessor. Den implicerar -t.

  Att få hjälp

-?, --help
    Skriv ut ett hjälpmeddelande och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

SLUTSTATUS

0   Framgångsrik programexekvering.

1   Användnings-, syntax- eller konfigurationsfilsfel.

2   Funktionsfel.

3   En barnprocess returnerade en slutstatus som inte var noll.

16  Åtminstone en av sidorna/filerna/nyckelorden existerade inte eller matchades inte.

MILJÖ

MANPATH
    Om $MANPATH är satt kommer dess värde att användas som sökvägen att genomsöka efter manualsidor.

MANROFFOPT
    Innehållet i $MANROFFOPT läggs till kommandoraden varje gång man startar formateraren (nroff, troff eller groff).

MANROFFSEQ
    Om $MANROFFSEQ är satt kommer dess värde att användas för att bestämma uppsättningen av preprocessorer som varje manualsida ska propageras genom. Standard preprocessorlistan är systemberoende.

MANSECT
    Om $MANSECT är satt är dess värde en kolonavgränsad lista över avsnitt och den används för att bestämma vilka manualavsnitt som ska genomsökas och i vilken ordning. Standardvärdet är ”1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x” om det inte åsidosatts av direktivet SECTION i /etc/man_db.conf.

MANPAGER, PAGER
    Om $MANPAGER eller $PAGER är satt ($MANPAGER används i första hand) så kommer dess värde att användas som namnet på det program som används för att visa manualsidan. Som standard kommer less att användas. Värdet kan vara ett enkelt kommandonamn eller ett kommando med argument och får använda skalcitering (bakåtstreck, enkla citattecken eller dubbla citattecken). Det får inte använda rörledningar för att koppla ihop flera kommando; om du behöver detta så använd ett inkapslingsskript som kan ta filen som ska visas antingen som ett argument eller via standard in.

MANLESS
    Om $MANLESS är satt kommer dess värde att användas som standardpromptsträngen för sidvisaren less, som om den hade angetts via flaggan -r (så förekomster av texten $MAN_PN kommer att expanderas på samma sätt). Om du till exempel ovillkorligen vill ställa in promptsträngen till “min promptsträng”, sätt $MANLESS till ‘-Psmin promptsträng’. Om flaggan -r används så åsidosätts denna miljövariabel.

BROWSER
    Om $BROWSER är dess värde en kolonavgränsad lista av kommandon, som vart och ett kommer att användas för att försöka starta en webbläsare åt man --html. I varje kommando kommer %s att ersättas med ett filnamn innehållandes HTML-utmatningen från groff, %% ersätts med ett enkelt procenttecken (%) och %c ersätts med ett kolon (:).

SYSTEM
    Om $SYSTEM är satt kommer den att ha samma effekt som om den hade angetts som argument till flaggan -m.

MANOPT
    Om $MANOPT är satt kommer den att tolkas innan man:s kommandorad och förväntas att följa samma format. Eftersom alla andra man-specifika miljövariabler kan uttryckas som kommandoradsflaggor och därför är kandidater att inkluderas i $MANOPT är det förväntat att de kommer att bli föråldrade. Notera: alla blanksteg som ska tolkas som en del av en flaggas argument måste föregås av en kontrollsekvens.

MANWIDTH
    Om $MANWIDTH är satt kommer dess värde att användas som radbredden för vilken manualsidor ska formateras. Om den inte är satt kommer manualsidor att formateras med en radbredd som är lämplig för en aktuella terminalen (där värdet från $COLUMNS, en ioctl(2) användas eller så faller den tillbaka på 80 tecken om ingendera är tillgänglig). Cat-sidor kommer endast att sparas om standardformateringen kan användas, det vill säga när terminalradbredden är mellan 66 och 80 tecken.

MAN_KEEP_FORMATTING
    När utmatning inte dirigeras till en terminal utan exempelvis till en fil eller en rörledning så kasseras formateringstecken för att göra det enklare att läsa resultatet utan något särskilt verktyg. Om $MAN_KEEP_FORMATTING är satt till ett icke-tomt värde kommer dessa formateringstecken dock att bibehållas. Detta kan vara användbart vid inkapsling av man som kan tolka formateringstecken.

MAN_KEEP_STDERR
    När utmatning inte dirigeras till en terminal (vanligtvis en sidvisare) kommer felutskrifter från kommandot som använts för att producera formaterade versioner av manualsidor att kasseras för att undvika störning i sidvisarens visning. Program så som groff producerar ofta mindre felmeddelanden om typografiska problem så som dålig justering som är fula och allmänt förvirrande när de visas samtidigt med manualsidan. Vissa användare vill dock se dem ändå så om $MAN_KEEP_STDERR är satt till ett icke-tomt värde kommer felutskrifter att visas som normalt.

LANG, LC_MESSAGES
    Beroende på system och implementation kommer endera eller båda av $LANG och $LC_MESSAGE att studeras för att bestämma den aktuella meddelandelokalen. man kommer att visa sina meddelanden i den lokalen (om den finns tillgänglig). Se setlocale(3) för vidare detaljer.

FILER

/etc/man_db.conf
    man-db-konfigurationsfil.

/usr/share/man
    En global hierarki av manualsidor.

/usr/share/man/index.(bt|db|dir|pag)
    En traditionell global index-databascache.

/var/cache/man/index.(bt|db|dir|pag)
    En FHS-kompatibel global index-databascache.

SE VIDARE
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), setlocale(3), manpath(5), ascii(7), latin1(7), man(7), catman(8), mandb(8), man-db paketets manual, FSSTND

HISTORIA
1990, 1991 – Skrevs i original av John W. Eaton (jwe@che.utexas.edu). 23:e dec 1992: Rik Faith (faith@cs.unc.edu) lade till felfixar från Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30:e april 1994 – 23:e februari 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) har utvecklat och underhållit detta paket med hjälp av ett par hängivna individer. 30:e oktober 1996 – 30:e mars 2001: Farizio Polacco <fpolacco@debian.org> underhöll och förbättrade detta paket för Debian-projektet, med hjälp från hela gemenskapen. 31:a mars 2001 – tidag: Colin Watson <cjwatson@debian.org> utvecklar och underhåller nu man-db.